tigase.jaxmpp.core.client

## Interface PacketWriter

- All Known Implementing Classes:
    JaxmppCore.DefaultPacketWriter

      public interface PacketWriter

  Interface for writing to XMPP Stream.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(Element stanza)` Write a element to Stream.
    `void` | `write(Element stanza, AsyncCallback asyncCallback)` Write a (IQ) stanza element to Stream and register callback with default timeout.
    `void` | `write(Element stanza, Long timeout, AsyncCallback asyncCallback)` Write a (IQ) stanza element to Stream and register callback with given timeout.

- - ### Method Detail

    - #### write

          void write(Element stanza)
              throws JaxmppException

      Write a element to Stream.
      Parameters:
        `stanza` - Element to write
      Throws:
        `JaxmppException`

    - #### write

          void write(Element stanza,
                     AsyncCallback asyncCallback)
              throws JaxmppException

      Write a (IQ) stanza element to Stream and register callback with default timeout.
      Parameters:
        `stanza` - Element to write
        `asyncCallback` - AsyncCallback to register
      Throws:
        `JaxmppException`

    - #### write

          void write(Element stanza,
                     Long timeout,
                     AsyncCallback asyncCallback)
              throws JaxmppException

      Write a (IQ) stanza element to Stream and register callback with given timeout.
      Parameters:
        `stanza` - stanza Element to write
        `timeout` - time after which will be execute AsyncCallback.onTimeout()
        `asyncCallback` - asyncCallback AsyncCallback to register
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.